package top.liangwy.read_statistics.dao;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import top.liangwy.read_statistics.pojo.User;
import java.util.List;

/**
 * @author lwy
 */
@Mapper
@Repository
public interface UserMapper {
    List<User> getUserList();

    String getUserIdByTelephone(String telephone);

    List<User> getUserTelephoneByDeptName(String deptName);

    List<User> getUserByDeptId(Integer deptId);

    List<String> getUserTelphone();
}
